Merchant

Fields

  • merchant_codestringrequired

    Short unique identifier for the merchant.

    Example: "MK01A8C2"

  • countrystringrequired
    minLength: 2maxLength: 2pattern: ^[A-Z]{2}$

    An ISO3166-1 alpha-2 country code. This definition users oneOf with a two-character string type to allow for support of future countries in client code.

    Example: "BR"

  • default_currencystringrequired
    minLength: 3maxLength: 3

    Three-letter ISO currency code representing the default currency for the account.

    Example: "EUR"

  • default_localestringrequired
    minLength: 2maxLength: 5

    Merchant's default locale, represented as a BCP47 RFC5646 language tag. This is typically an ISO 639-1 Alpha-2 ISO639‑1 language code in lowercase and an ISO 3166-1 Alpha-2 ISO3166‑1 country code in uppercase, separated by a dash. For example, en-US or fr-CA. In multilingual countries this is the merchant's preferred locale out of those, that are officially spoken in the country. In a countries with a single official language this will match the official language.

    Example: "de-DE"

  • created_atstringrequired
    format: date-time

    The date and time when the resource was created. This is a string as defined in RFC 3339, section 5.6.

    Example: "2021-08-31T12:00:00Z"

  • updated_atstringrequired
    format: date-time

    The date and time when the resource was last updated. This is a string as defined in RFC 3339, section 5.6.

    Example: "2021-08-31T12:00:00Z"

  • ID of the organization the merchant belongs to (if any).

    Example: "G0UZPVAX"

  • The business type.

    • sole_trader: The business is run by an self-employed individual.
    • company: The business is run as a company with one or more shareholders
    • partnership: The business is run as a company with two or more shareholders that can be also other legal entities
    • non_profit: The business is run as a nonprofit organization that operates for public or social benefit
    • government_entity: The business is state owned and operated
  • companyobject

    Information about the company or business. This is legal information that is used for verification.

    Show 9 properties
    • namestring
      minLength: 1maxLength: 150

      The company's legal name.

      Example: "Gin & Doughnuts Bar GmbH"

    • pattern: ^[0-9]{4}$

      The merchant category code for the account as specified by ISO18245. MCCs are used to classify businesses based on the goods or services they provide.

      Example: "1532"

    • minLength: 4maxLength: 64pattern: ^[a-z]{2}\.[a-z_]+$

      The unique legal type reference as defined in the country SDK. We do not rely on IDs as used by other services. Consumers of this API are expected to use the country SDK to map to any other IDs, translation keys, or descriptions.

      Example: "de.freiberufler"

    • addressobject

      An address somewhere in the world. The address fields used depend on the country conventions. For example, in Great Britain, city is post_town. In the United States, the top-level administrative unit used in addresses is state, whereas in Chile it's region. Whether an address is valid or not depends on whether the locally required fields are present. Fields not supported in a country will be ignored.

      Example: {"street_address":["Paul-Linke-Ufer 39-40","2. Hinterhof"],"post_code":"10999","city":"Berlin","country":"DE"}

      Show 17 properties
      • countrystringrequired
        minLength: 2maxLength: 2pattern: ^[A-Z]{2}$

        An ISO3166-1 alpha-2 country code. This definition users oneOf with a two-character string type to allow for support of future countries in client code.

        Example: "BR"

      • street_addressarray<string>
        maxLength: 100

        Example: ["Paul-Linke-Ufer 39-40","2. Hinterhof"]

      • post_codestring
        maxLength: 10

        The postal code (aka. zip code) of the address.

        Example: "10999"

      • citystring
        maxLength: 60

        The city of the address.

        Example: "Berlin"

      • provincestring
        maxLength: 60

        The province where the address is located. This may not be relevant in some countries.

        Example: "Berlin"

      • regionstring
        maxLength: 60

        The region where the address is located. This may not be relevant in some countries.

        Example: "Baden Wuerttemberg"

      • countystring
        maxLength: 60

        A county is a geographic region of a country used for administrative or other purposes in some nations. Used in countries such as Ireland, Romania, etc.

        Example: "Dublin County"

      • maxLength: 60

        In Spain, an autonomous community is the first sub-national level of political and administrative division.

        Example: "Catalonia"

      • post_townstring
        maxLength: 60

        A post town is a required part of all postal addresses in the United Kingdom and Ireland, and a basic unit of the postal delivery system.

        Example: "London"

      • statestring
        maxLength: 60

        Most often, a country has a single state, with various administrative divisions. The term "state" is sometimes used to refer to the federated polities that make up the federation. Used in countries such as the United States and Brazil.

        Example: "California"

      • maxLength: 60

        Locality level of the address. Used in countries such as Brazil or Chile.

        Example: "Copacabana"

      • communestring
        maxLength: 60

        In many countries, terms cognate with "commune" are used, referring to the community living in the area and the common interest. Used in countries such as Chile.

        Example: "Providencia"

      • maxLength: 60

        A department (French: département, Spanish: departamento) is an administrative or political division in several countries. Used in countries such as Colombia.

        Example: "Antioquia"

      • maxLength: 60

        A municipality is usually a single administrative division having corporate status and powers of self-government or jurisdiction as granted by national and regional laws to which it is subordinate. Used in countries such as Colombia.

        Example: "Medellín"

      • districtstring
        maxLength: 60

        A district is a type of administrative division that in some countries is managed by the local government. Used in countries such as Portugal.

        Example: "Lisbon District"

      • zip_codestring
        maxLength: 10

        A US system of postal codes used by the United States Postal Service (USPS).

        Example: "94103"

      • eircodestring
        maxLength: 10

        A postal address in Ireland.

        Example: "D02 X285"

    • An address somewhere in the world. The address fields used depend on the country conventions. For example, in Great Britain, city is post_town. In the United States, the top-level administrative unit used in addresses is state, whereas in Chile it's region. Whether an address is valid or not depends on whether the locally required fields are present. Fields not supported in a country will be ignored.

      Example: {"street_address":["Paul-Linke-Ufer 39-40","2. Hinterhof"],"post_code":"10999","city":"Berlin","country":"DE"}

      Show 17 properties
      • countrystringrequired
        minLength: 2maxLength: 2pattern: ^[A-Z]{2}$

        An ISO3166-1 alpha-2 country code. This definition users oneOf with a two-character string type to allow for support of future countries in client code.

        Example: "BR"

      • street_addressarray<string>
        maxLength: 100

        Example: ["Paul-Linke-Ufer 39-40","2. Hinterhof"]

      • post_codestring
        maxLength: 10

        The postal code (aka. zip code) of the address.

        Example: "10999"

      • citystring
        maxLength: 60

        The city of the address.

        Example: "Berlin"

      • provincestring
        maxLength: 60

        The province where the address is located. This may not be relevant in some countries.

        Example: "Berlin"

      • regionstring
        maxLength: 60

        The region where the address is located. This may not be relevant in some countries.

        Example: "Baden Wuerttemberg"

      • countystring
        maxLength: 60

        A county is a geographic region of a country used for administrative or other purposes in some nations. Used in countries such as Ireland, Romania, etc.

        Example: "Dublin County"

      • maxLength: 60

        In Spain, an autonomous community is the first sub-national level of political and administrative division.

        Example: "Catalonia"

      • post_townstring
        maxLength: 60

        A post town is a required part of all postal addresses in the United Kingdom and Ireland, and a basic unit of the postal delivery system.

        Example: "London"

      • statestring
        maxLength: 60

        Most often, a country has a single state, with various administrative divisions. The term "state" is sometimes used to refer to the federated polities that make up the federation. Used in countries such as the United States and Brazil.

        Example: "California"

      • maxLength: 60

        Locality level of the address. Used in countries such as Brazil or Chile.

        Example: "Copacabana"

      • communestring
        maxLength: 60

        In many countries, terms cognate with "commune" are used, referring to the community living in the area and the common interest. Used in countries such as Chile.

        Example: "Providencia"

      • maxLength: 60

        A department (French: département, Spanish: departamento) is an administrative or political division in several countries. Used in countries such as Colombia.

        Example: "Antioquia"

      • maxLength: 60

        A municipality is usually a single administrative division having corporate status and powers of self-government or jurisdiction as granted by national and regional laws to which it is subordinate. Used in countries such as Colombia.

        Example: "Medellín"

      • districtstring
        maxLength: 60

        A district is a type of administrative division that in some countries is managed by the local government. Used in countries such as Portugal.

        Example: "Lisbon District"

      • zip_codestring
        maxLength: 10

        A US system of postal codes used by the United States Postal Service (USPS).

        Example: "94103"

      • eircodestring
        maxLength: 10

        A postal address in Ireland.

        Example: "D02 X285"

    • identifiersarray<object>

      A list of country-specific company identifiers.

      Show 2 properties
      • refstringrequired
        pattern: ^[a-z]{2}\.[a-z_]+$

        The unique reference for the company identifier type as defined in the country SDK.

        Example: "de.gmbh"

      • valuestringrequired
        minLength: 1maxLength: 100

        The company identifier value.

        Example: "HRB 123456"

    • maxLength: 16

      A publicly available phone number in E.164 format.

      Example: "+420123456789"

    • websitestring
      minLength: 1maxLength: 255

      HTTP(S) URL of the company's website.

      Example: "https://www.sumup.com"

    • Object attributes that are modifiable only by SumUp applications.

      Example: {}

  • Business information about the merchant. This information will be visible to the merchant's customers.

    Show 7 properties
    • namestring
      minLength: 1maxLength: 150

      The customer-facing business name.

      Example: "Example Coffee"

    • minLength: 1maxLength: 30pattern: ^[a-zA-Z0-9 +'_.-]+$

      The descriptor is the text that your customer sees on their bank account statement. The more recognisable your descriptor is, the less risk you have of receiving disputes (e.g. chargebacks).

      Example: "Example Coffee"

    • websitestring
      minLength: 1maxLength: 255

      The business's publicly available website.

      Example: "https://example.com"

    • emailstring
      minLength: 1maxLength: 255

      A publicly available email address.

      Example: "contact@example.com"

    • maxLength: 16

      A publicly available phone number in E.164 format.

      Example: "+420123456789"

    • addressobject

      An address somewhere in the world. The address fields used depend on the country conventions. For example, in Great Britain, city is post_town. In the United States, the top-level administrative unit used in addresses is state, whereas in Chile it's region. Whether an address is valid or not depends on whether the locally required fields are present. Fields not supported in a country will be ignored.

      Example: {"street_address":["Paul-Linke-Ufer 39-40","2. Hinterhof"],"post_code":"10999","city":"Berlin","country":"DE"}

      Show 17 properties
      • countrystringrequired
        minLength: 2maxLength: 2pattern: ^[A-Z]{2}$

        An ISO3166-1 alpha-2 country code. This definition users oneOf with a two-character string type to allow for support of future countries in client code.

        Example: "BR"

      • street_addressarray<string>
        maxLength: 100

        Example: ["Paul-Linke-Ufer 39-40","2. Hinterhof"]

      • post_codestring
        maxLength: 10

        The postal code (aka. zip code) of the address.

        Example: "10999"

      • citystring
        maxLength: 60

        The city of the address.

        Example: "Berlin"

      • provincestring
        maxLength: 60

        The province where the address is located. This may not be relevant in some countries.

        Example: "Berlin"

      • regionstring
        maxLength: 60

        The region where the address is located. This may not be relevant in some countries.

        Example: "Baden Wuerttemberg"

      • countystring
        maxLength: 60

        A county is a geographic region of a country used for administrative or other purposes in some nations. Used in countries such as Ireland, Romania, etc.

        Example: "Dublin County"

      • maxLength: 60

        In Spain, an autonomous community is the first sub-national level of political and administrative division.

        Example: "Catalonia"

      • post_townstring
        maxLength: 60

        A post town is a required part of all postal addresses in the United Kingdom and Ireland, and a basic unit of the postal delivery system.

        Example: "London"

      • statestring
        maxLength: 60

        Most often, a country has a single state, with various administrative divisions. The term "state" is sometimes used to refer to the federated polities that make up the federation. Used in countries such as the United States and Brazil.

        Example: "California"

      • maxLength: 60

        Locality level of the address. Used in countries such as Brazil or Chile.

        Example: "Copacabana"

      • communestring
        maxLength: 60

        In many countries, terms cognate with "commune" are used, referring to the community living in the area and the common interest. Used in countries such as Chile.

        Example: "Providencia"

      • maxLength: 60

        A department (French: département, Spanish: departamento) is an administrative or political division in several countries. Used in countries such as Colombia.

        Example: "Antioquia"

      • maxLength: 60

        A municipality is usually a single administrative division having corporate status and powers of self-government or jurisdiction as granted by national and regional laws to which it is subordinate. Used in countries such as Colombia.

        Example: "Medellín"

      • districtstring
        maxLength: 60

        A district is a type of administrative division that in some countries is managed by the local government. Used in countries such as Portugal.

        Example: "Lisbon District"

      • zip_codestring
        maxLength: 10

        A US system of postal codes used by the United States Postal Service (USPS).

        Example: "94103"

      • eircodestring
        maxLength: 10

        A postal address in Ireland.

        Example: "D02 X285"

    • brandingobject

      Settings used to apply the Merchant's branding to email receipts, invoices, checkouts, and other products.

      Show 9 properties
      • minLength: 1maxLength: 500

        Footer text rendered on receipts and other customer-facing products.

        Example: "Thanks for shopping with us."

      • iconstring
        format: uri

        An icon for the merchant. Must be square.

      • herostring
        format: uri

        Data-URL encoded hero image for the merchant business.

      • A hex color value representing the primary branding color of this merchant (your brand color).

        Example: "#FF4B3A"

      • A hex color value representing the color of the text displayed on branding color of this merchant.

        Example: "#FF4B3A"

      • A hex color value representing the secondary branding color of this merchant (accent color used for buttons).

        Example: "#FF4B3A"

      • A hex color value representing the color of the text displayed on secondary branding color of this merchant.

        Example: "#FF4B3A"

      • A hex color value representing the preferred background color of this merchant.

        Example: "#FF4B3A"

  • avatarstring
    format: uri

    A user-facing small-format logo for use in dashboards and other user-facing applications. For customer-facing branding see merchant.business_profile.branding.

  • aliasstring

    A user-facing name of the merchant account for use in dashboards and other user-facing applications. For customer-facing business name see merchant.business_profile.

  • sandboxboolean

    True if the merchant is a sandbox for testing.

    Example: false

  • metamap<string>

    A set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

    Warning: Updating Meta will overwrite the existing data. Make sure to always include the complete JSON object.

    Example: {}

  • classicobject
    Show 1 property
    • idintegerrequireddeprecated
      format: int64

      Classic (serial) merchant ID.

      Example: 1234

  • versionstring

    The version of the resource. The version reflects a specific change submitted to the API via one of the PATCH endpoints.

    Example: "chng_01HS0KG3MPVEVWW85E3KNXH55J"

  • Reflects the status of changes submitted through the PATCH endpoints for the Merchant or Persons. If some changes have not been applied yet, the status will be pending. If all changes have been applied, the status done. The status is only returned after write operations or on read endpoints when the version query parameter is provided.

Type to search…